## visad.data.netcdf
Class QuantityDBImpl.Iterator

    java.lang.Object
      visad.data.netcdf.QuantityDBImpl.Iterator

All Implemented Interfaces:
  Iterator

Direct Known Subclasses:
  QuantityDBImpl.NameIterator, QuantityDBImpl.QuantityIterator

Enclosing class:
  QuantityDBImpl

protected abstract class QuantityDBImpl.Iterator
extends Object
implements Iterator

Provides support for iterating over the database.

Field Summary
`protected Iterator` `iterator` The private iterator.

Constructor Summary
`protected` `QuantityDBImpl.Iterator()`

Method Summary
`protected boolean` `doSwitch()` Switchs to the other database.
`boolean` `hasNext()`
`Object` `next()`
`protected abstract Iterator` `nextIterator()` Gets the iterator for the successor database.
`protected abstract Object` `nextObject()`
`void` `remove()` Remove the element returned by the last `next()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected Iterator iterator

  The private iterator.

Constructor Detail

### QuantityDBImpl.Iterator

    protected QuantityDBImpl.Iterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### nextObject

    protected abstract Object nextObject()

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### nextIterator

    protected abstract Iterator nextIterator()

  Gets the iterator for the successor database.

### doSwitch

    protected boolean doSwitch()

  Switchs to the other database.

  Returns:
    `true` if an only if the other database exists and this is the first switch to it.

### remove

    public void remove()
                throws UnsupportedOperationException

  Remove the element returned by the last `next()`.

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException` - Operation not supported.